2 Replies Latest reply on May 28, 2016 9:20 PM by Rick Eisel

    How do you change the default radius in feature fillet in api

    Rick Eisel

        • Re: How do you change the default radius in feature fillet in api
          Amen Allah Jlili

          Do you mind sharing your code?
          I think there's a far better method than swapp.runcommands

            • Re: How do you change the default radius in feature fillet in api
              Rick Eisel

              There's really not much code yet to my program.

              This is a snip it of the code.  There's some declarations I didn't include.

              The image above is a through opening in part model.  You can see the

              sketch radius in purple.  I pick the surface and run the macro.  The program

              gets the radius size, deletes face and patches the radius, which results in a

              sharp corner and then I run the fillet command to pick the sharp corner that

              the delete face removed and I want the default radius to have the size that

              I want the radius to be (.020 smaller) already loaded into the fillet command.

              There is no dimension value associated to this radius since it is an offset

              of another sketch created in context.  I give myself a note in the fillet command

              so I know what size to type in manually at this point.

               

               

              Dim swsel As Integer
              Set swselectionmgr = swpart.SelectionManager
              swsel = swselectionmgr.GetSelectedObjectType3(1, -1)
                      Set swface = swselectionmgr.GetSelectedObject6(1, -1)
                      Set swsurf = swface.GetSurface
                
                      Count = swface.GetEdgeCount
                      edges = swface.GetEdges
                     
                      For t = 0 To Count - 1
                       Set swcurve = edges(t).GetCurve
                       If swcurve.IsCircle() Then
                         
                          cirparams = swcurve.CircleParams ' get circle data
                          radius(t) = Round(cirparams(6) * meterTOinchCONV, 6)
                          radiusvalue = radius(t)
                       
                      Exit For
                      End If
                      Next
                     
              If radiusvalue > 0 Then

              model.InsertDeleteFace2 (1)

              swApp.RunCommand swCommands_Fillet, "Set radius to " & (radiusvalue - 0.02)
              End If

               

              End Sub